Skip to main content
GET
/
api
/
v1
/
customers
/
{id_or_alias}
Get customer
curl --request GET \
  --url https://api.example.com/api/v1/customers/{id_or_alias} \
  --header 'Authorization: Bearer <token>'
{
  "currency": "AED",
  "custom_taxes": [
    {
      "name": "<string>",
      "rate": "<string>",
      "tax_code": "<string>"
    }
  ],
  "id": "<string>",
  "invoicing_emails": [
    "<string>"
  ],
  "invoicing_entity_id": "<string>",
  "name": "<string>",
  "alias": "<string>",
  "billing_address": {
    "city": "<string>",
    "country": "US",
    "line1": "<string>",
    "line2": "<string>",
    "state": "<string>",
    "zip_code": "<string>"
  },
  "billing_email": "<string>",
  "phone": "<string>",
  "shipping_address": {
    "same_as_billing": true,
    "address": {
      "city": "<string>",
      "country": "US",
      "line1": "<string>",
      "line2": "<string>",
      "state": "<string>",
      "zip_code": "<string>"
    }
  },
  "vat_number": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_or_alias
string
required

customer ID or alias

Response

Customer

currency
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNH,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW,
ZWL
Example:

"EUR"

custom_taxes
object[]
required
id
string<MeteroidId>
required
Example:

"cus_7n42DGM5Tflk9n8mt7Fhc7"

invoicing_emails
string[]
required
invoicing_entity_id
string<MeteroidId>
required
Example:

"ive_7n42DGM5Tflk9n8mt7Fhc7"

name
string
required
alias
string | null
billing_address
object
billing_email
string | null
phone
string | null
shipping_address
object
vat_number
string | null